## ros-rolling-ament-cmake-gen-version-h 1.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(ament_cmake_gen_version_h)
find_package(ament_cmake_core REQUIRED)

# GTest needs it, Default to C11
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 11)
endif()
# GTest needs it, Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

include(CTest)
if(BUILD_TESTING)
  # Simulate pre-installed package
  set(ament_cmake_gen_version_h_DIR ${CMAKE_SOURCE_DIR}/cmake)
  include(cmake/ament_cmake_gen_version_h.cmake)
  find_package(ament_cmake_gtest REQUIRED)

  # Generate version heades using different scenarios
  ament_cmake_gen_version_h(NO_INSTALL)
  ament_cmake_gen_version_h(NO_INSTALL VERSION_FILE_NAME "version1.h")
  ament_cmake_gen_version_h(NO_INSTALL INCLUDE_DIR ${CMAKE_CURRENT_BINARY_DIR}/include VERSION_FILE_NAME "version2.h")
  ament_cmake_gen_version_h(
    NO_INSTALL TRUE
    INCLUDE_DIR ${CMAKE_CURRENT_BINARY_DIR}/include
    VERSION_FILE_NAME "version_custom.h"
    VERSION_MAJOR 1
    VERSION_MINOR 2
    VERSION_PATCH 3
  )

  ament_add_gtest(test_${PROJECT_NAME}
    test/test_version_custom.cpp
    test/test_version_h.cpp
    test/test_version1_h.cpp
    test/test_version2_h.cpp
  )
endif()

ament_package(CONFIG_EXTRAS "ament_cmake_gen_version_h-extras.cmake")

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

=== debian/changelog ===
ros-rolling-ament-cmake-gen-version-h (1.2.1-1focal) focal; urgency=high

  * Update maintainers to Michael Jeronimo and Michel Hidalgo (#362 <https://github.com/ament/ament_cmake/issues/362>)
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (1.2.0-1focal) focal; urgency=high

  * Add ament_cmake_gen_version_h package (#198 <https://github.com/ament/ament_cmake/issues/198>)
  * Contributors: serge-nikulin

 -- Serge Nikulin <serge@safeai.ai>  Fri, 29 Oct 2021 07:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (1.1.4-1focal) focal; urgency=high



 -- Serge Nikulin <serge@safeai.ai>  Thu, 06 May 2021 07:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (1.1.3-1focal) focal; urgency=high



 -- Serge Nikulin <serge@safeai.ai>  Tue, 09 Mar 2021 08:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (1.1.2-1focal) focal; urgency=high



 -- Serge Nikulin <serge@safeai.ai>  Sat, 27 Feb 2021 06:59:00 -0000

ros-rolling-ament-cmake-gen-version-h (1.1.1-1focal) focal; urgency=high



 -- Serge Nikulin <serge@safeai.ai>  Sat, 27 Feb 2021 03:12:00 -0000

ros-rolling-ament-cmake-gen-version-h (1.1.0-1focal) focal; urgency=high



 -- Serge Nikulin <serge@safeai.ai>  Wed, 24 Feb 2021 08:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (1.0.4-1focal) focal; urgency=high



 -- Serge Nikulin <serge@safeai.ai>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (1.0.3-1focal) focal; urgency=high



 -- Serge Nikulin <serge@safeai.ai>  Thu, 10 Dec 2020 08:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (1.0.2-1focal) focal; urgency=high



 -- Serge Nikulin <serge@safeai.ai>  Mon, 07 Dec 2020 08:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (1.0.1-1focal) focal; urgency=high



 -- Serge Nikulin <serge@safeai.ai>  Thu, 10 Sep 2020 07:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (1.0.0-1focal) focal; urgency=high



 -- Serge Nikulin <serge@safeai.ai>  Wed, 22 Jul 2020 07:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (0.9.6-1focal) focal; urgency=high



 -- Serge Nikulin <serge@safeai.ai>  Tue, 23 Jun 2020 07:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (0.9.5-1focal) focal; urgency=high



 -- Serge Nikulin <serge@safeai.ai>  Tue, 02 Jun 2020 07:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (0.9.4-1focal) focal; urgency=high



 -- Serge Nikulin <serge@safeai.ai>  Tue, 26 May 2020 07:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (0.9.3-1focal) focal; urgency=high



 -- Serge Nikulin <serge@safeai.ai>  Tue, 19 May 2020 07:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (0.9.2-1focal) focal; urgency=high



 -- Serge Nikulin <serge@safeai.ai>  Thu, 07 May 2020 07:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (0.9.1-1focal) focal; urgency=high



 -- Serge Nikulin <serge@safeai.ai>  Fri, 24 Apr 2020 22:45:00 -0000

ros-rolling-ament-cmake-gen-version-h (0.9.0-1focal) focal; urgency=high



 -- Serge Nikulin <serge@safeai.ai>  Fri, 24 Apr 2020 19:25:00 -0000

ros-rolling-ament-cmake-gen-version-h (0.8.1-1focal) focal; urgency=high



 -- Serge Nikulin <serge@safeai.ai>  Wed, 23 Oct 2019 07:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (0.8.0-1focal) focal; urgency=high



 -- Serge Nikulin <serge@safeai.ai>  Fri, 04 Oct 2019 07:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (0.7.3-1focal) focal; urgency=high



 -- Serge Nikulin <serge@safeai.ai>  Wed, 29 May 2019 07:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (0.7.2-1focal) focal; urgency=high



 -- Serge Nikulin <serge@safeai.ai>  Mon, 20 May 2019 07:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (0.7.1-1focal) focal; urgency=high



 -- Serge Nikulin <serge@safeai.ai>  Tue, 07 May 2019 07:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (0.7.0-1focal) focal; urgency=high



 -- Serge Nikulin <serge@safeai.ai>  Mon, 08 Apr 2019 07:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (0.6.0-1focal) focal; urgency=high



 -- Serge Nikulin <serge@safeai.ai>  Tue, 13 Nov 2018 08:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (0.5.1-1focal) focal; urgency=high



 -- Serge Nikulin <serge@safeai.ai>  Tue, 17 Jul 2018 07:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (0.5.0-1focal) focal; urgency=high



 -- Serge Nikulin <serge@safeai.ai>  Wed, 13 Jun 2018 07:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (0.4.0-1focal) focal; urgency=high



 -- Serge Nikulin <serge@safeai.ai>  Fri, 08 Dec 2017 08:00:00 -0000

=== debian/control ===
Source: ros-rolling-ament-cmake-gen-version-h
Section: misc
Priority: optional
Maintainer: Michael Jeronimo <michael.jeronimo@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake-core, ros-rolling-ament-cmake-gtest, ros-rolling-ament-package, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-ament-cmake-gen-version-h
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ament-cmake-core, ros-rolling-ros-workspace
Description: Generate a C header containing the version number of the package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-ament-cmake-gen-version-h//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-ament-cmake-gen-version-h 2.3.0

=== debian/changelog ===
ros-rolling-ament-cmake-gen-version-h (2.3.0-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 07 Sep 2023 00:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (2.2.2-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (2.2.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 21 Jun 2023 00:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (2.2.0-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 07 Jun 2023 00:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (2.1.0-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 26 Apr 2023 00:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (2.0.2-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 12 Apr 2023 00:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (2.0.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (2.0.0-1jammy) jammy; urgency=high

  * Changed version gte macro to make it MSVC compatible. Fix #433 <https://github.com/ament/ament_cmake/issues/433> (#434 <https://github.com/ament/ament_cmake/issues/434>)
  * Contributors: iquarobotics

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (1.5.3-1jammy) jammy; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#411 <https://github.com/ament/ament_cmake/issues/411>)
    * Update maintainers to Michael Jeronimo
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 13 Feb 2023 00:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (1.5.2-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (1.5.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (1.5.0-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 11 Jul 2022 00:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (1.4.0-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 29 Apr 2022 00:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (1.3.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 28 Mar 2022 00:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (1.3.0-1jammy) jammy; urgency=high

  * Add ament_generate_version_header and deprecate ament_cmake_gen_version_h (#377 <https://github.com/ament/ament_cmake/issues/377>)
  * Update forthcoming version in changelog
  * Contributors: Audrow Nash, Shane Loretz

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 17 Feb 2022 00:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (1.2.1-1jammy) jammy; urgency=high

  * Update maintainers to Michael Jeronimo and Michel Hidalgo (#362 <https://github.com/ament/ament_cmake/issues/362>)
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (1.2.0-1jammy) jammy; urgency=high

  * Add ament_cmake_gen_version_h package (#198 <https://github.com/ament/ament_cmake/issues/198>)
  * Contributors: serge-nikulin

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 29 Oct 2021 00:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (1.1.4-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 06 May 2021 00:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (1.1.3-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 09 Mar 2021 00:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (1.1.2-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 26 Feb 2021 22:59:00 -0000

ros-rolling-ament-cmake-gen-version-h (1.1.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 26 Feb 2021 19:12:00 -0000

ros-rolling-ament-cmake-gen-version-h (1.1.0-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 24 Feb 2021 00:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (1.0.4-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (1.0.3-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 10 Dec 2020 00:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (1.0.2-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 07 Dec 2020 00:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (1.0.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 10 Sep 2020 00:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (1.0.0-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 22 Jul 2020 00:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (0.9.6-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 23 Jun 2020 00:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (0.9.5-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 02 Jun 2020 00:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (0.9.4-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000

ros-rolling-ament-cmake-gen-version-h (0.9.3-1jammy) jammy; urgency=high





=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Michael Jeronimo <michael.jeronimo@openrobotics.org>
-Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake-core, ros-rolling-ament-cmake-gtest, ros-rolling-ament-package, ros-rolling-ros-workspace
+Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake-core, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-package, ros-rolling-ros-workspace
 Homepage: 
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
